Update AI tool config
PATCH
/v1/ai/agents/{agentID}/tools/{toolKey}Authorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
agentIDstringrequiredtoolKeystringrequiredRequest body
requiredapplication/jsonconfigobjectenabledbooleanrequiredResponses
200OK
agent_idstringrequiredappliedbooleanrequiredcallablebooleanrequiredconfigobjectrequireddescriptionstringrequiredenabledbooleanrequiredidstringrequiredlabelstringrequiredlastUsedAtstringnamestringrequiredreviewIssueReviewItemViewShow propertiesHide properties
agent_idstringrequiredassigned_tostringcreated_atstringrequireddetailsobjectrequiredidstringrequiredissue_typestringrequiredrawSeveritystringrequiredresolved_atstringseveritystringrequiredsource_refstringstatusstringrequiredsummarystringrequiredtitlestringrequiredupdatedAtstringrequiredupdated_atstringrequiredreview_requiredbooleanrequiredriskstringrequiredstatusstringrequiredtool_descriptionstringrequiredtool_keystringrequiredtool_labelstringrequiredupdated_atstringrequiredupdated_bystring400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X PATCH "/v1/ai/agents/string/tools/string" \
-H "Content-Type: application/json" \
-d '{
"config": {},
"enabled": true
}'const response = await fetch("/v1/ai/agents/string/tools/string", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"config": {},
"enabled": true
})
});import requests
response = requests.patch(
"/v1/ai/agents/string/tools/string",
headers={
"Content-Type": "application/json"
},
json={
"config": {},
"enabled": True
},
)Response
{
"agent_id": "string",
"applied": true,
"callable": true,
"config": {},
"description": "string",
"enabled": true,
"id": "string",
"label": "string",
"lastUsedAt": "string",
"name": "string",
"review": {
"agent_id": "string",
"assigned_to": "string",
"created_at": "string",
"details": {},
"id": "string",
"issue_type": "string",
"rawSeverity": "string",
"resolved_at": "string",
"severity": "string",
"source_ref": "string",
"status": "string",
"summary": "string",
"title": "string",
"updatedAt": "string",
"updated_at": "string"
},
"review_required": true,
"risk": "string",
"status": "string",
"tool_description": "string",
"tool_key": "string",
"tool_label": "string",
"updated_at": "string",
"updated_by": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}